<template>
  <SliceZone :slices="document.data.slices" :components="components" />
</template>

<script lang="ts">
import { Context } from '@nuxt/types'
import { PrismicDocument } from '@prismicio/types'
import Vue from 'vue'
import { components } from '~/slices'

export default Vue.extend<
  {},
  {},
  { document: PrismicDocument; components: Record<string, any> }
>({
  name: 'IndexPage',
  async asyncData({ $prismic }: Context) {
    // eslint-disable-next-line no-console
    console.time('prismic')
    const document = await $prismic.api.getByUID('custom-page', 'test-nuxt')
    // eslint-disable-next-line no-console
    console.timeEnd('prismic')

    return { document }
  },
  data() {
    return {
      components,
    }
  },
})
</script>

<style lang="css"></style>
